# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v6.014.
use strict;
use warnings;

use 5.010001;

use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "CLIs related to Indonesian banking",
  "AUTHOR" => "perlancar <perlancar\@cpan.org>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "App-IndonesianBankingUtils",
  "EXE_FILES" => [
    "script/download-bca",
    "script/download-mandiri",
    "script/list-bca-branches",
    "script/list-idn-bank-cards",
    "script/list-idn-banks",
    "script/list-mandiri-branches",
    "script/parse-bca-account",
    "script/parse-bca-statement",
    "script/parse-bprks-statement",
    "script/parse-mandiri-account",
    "script/parse-mandiri-statement"
  ],
  "LICENSE" => "perl",
  "MIN_PERL_VERSION" => "5.010001",
  "NAME" => "App::IndonesianBankingUtils",
  "PREREQ_PM" => {
    "Business::BankCard::Indonesia" => "0.070",
    "Business::BankList::Indonesia" => "0.080",
    "Business::ID::BCA" => 0,
    "Business::ID::Mandiri" => 0,
    "Data::Dmp" => "0.240",
    "Data::Sah::Compiler::perl::TH::array" => 0,
    "Data::Sah::Compiler::perl::TH::bool" => 0,
    "Data::Sah::Compiler::perl::TH::int" => 0,
    "Data::Sah::Compiler::perl::TH::str" => 0,
    "File::HomeDir" => 0,
    "File::Path" => 0,
    "File::Slurper" => 0,
    "Finance::Bank::ID::BCA" => "0.45",
    "Finance::Bank::ID::BPRKS" => 0,
    "Finance::Bank::ID::Mandiri" => 0,
    "Log::ger" => "0.038",
    "Log::ger::Level::FromEnv" => 0,
    "Log::ger::Output" => "0.005",
    "Log::ger::Output::Composite" => "0.009",
    "Log::ger::Output::DirWriteRotate" => 0,
    "Perinci::CmdLine::Any" => "0.09",
    "Perinci::CmdLine::Lite" => "1.827",
    "Perinci::Sub::Property::result::table" => 0,
    "YAML" => 0,
    "YAML::Syck" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "File::Spec" => 0,
    "IO::Handle" => 0,
    "IPC::Open3" => 0,
    "Test::More" => 0
  },
  "VERSION" => "0.145",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Business::BankCard::Indonesia" => "0.070",
  "Business::BankList::Indonesia" => "0.080",
  "Business::ID::BCA" => 0,
  "Business::ID::Mandiri" => 0,
  "Data::Dmp" => "0.240",
  "Data::Sah::Compiler::perl::TH::array" => 0,
  "Data::Sah::Compiler::perl::TH::bool" => 0,
  "Data::Sah::Compiler::perl::TH::int" => 0,
  "Data::Sah::Compiler::perl::TH::str" => 0,
  "File::HomeDir" => 0,
  "File::Path" => 0,
  "File::Slurper" => 0,
  "File::Spec" => 0,
  "Finance::Bank::ID::BCA" => "0.45",
  "Finance::Bank::ID::BPRKS" => 0,
  "Finance::Bank::ID::Mandiri" => 0,
  "IO::Handle" => 0,
  "IPC::Open3" => 0,
  "Log::ger" => "0.038",
  "Log::ger::Level::FromEnv" => 0,
  "Log::ger::Output" => "0.005",
  "Log::ger::Output::Composite" => "0.009",
  "Log::ger::Output::DirWriteRotate" => 0,
  "Perinci::CmdLine::Any" => "0.09",
  "Perinci::CmdLine::Lite" => "1.827",
  "Perinci::Sub::Property::result::table" => 0,
  "Test::More" => 0,
  "YAML" => 0,
  "YAML::Syck" => 0,
  "strict" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);
